# Class PlayerPartyMemberPokemonPhase`Abstract`

#### Hierarchy (view full)

- PartyMemberPokemonPhase
  - PlayerPartyMemberPokemonPhase
    - ExpPhase
    - ShowPartyExpBarPhase
    - LevelUpPhase
    - LearnMovePhase

- Defined in src/phases.ts:736

#####
Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player
scene

### Methods

end
executeForAll
getOrder
getParty
getPlayerPokemon
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PlayerPartyMemberPokemonPhase(scene, partyMemberIndex): PlayerPartyMemberPokemonPhase

- #### Parameters

  - scene: default
  - partyMemberIndex: number

  #### Returns PlayerPartyMemberPokemonPhase

  Overrides PartyMemberPokemonPhase.constructor

  - Defined in src/phases.ts:737

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from PartyMemberPokemonPhase.fieldIndex

- Defined in src/phases.ts:714

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from PartyMemberPokemonPhase.partyMemberIndex

- Defined in src/phases.ts:713

### `Protected` player

player: boolean

Inherited from PartyMemberPokemonPhase.player

- Defined in src/phases.ts:715

### `Protected` scene

scene: default

Inherited from PartyMemberPokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from PartyMemberPokemonPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PartyMemberPokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PartyMemberPokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getParty

- getParty(): default []

- #### Returns default []

  Inherited from PartyMemberPokemonPhase.getParty

  - Defined in src/phases.ts:727

### getPlayerPokemon

- getPlayerPokemon(): PlayerPokemon

- #### Returns PlayerPokemon

  - Defined in src/phases.ts:741

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PartyMemberPokemonPhase.getPokemon

  - Defined in src/phases.ts:731

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PartyMemberPokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PartyMemberPokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from PartyMemberPokemonPhase.start

  - Defined in src/phase.ts:10